.o-text {
    display: flex;
    align-items: center;
    color: $black;
    font-size: rem(14);
    line-height: rem(10);
    letter-spacing: rem(0.1);
    font-weight: 400;
    font-stretch: normal;
    font-style: normal;

    &.v-smaller {
        font-size: rem(8);
    }

    &.smaller {
        font-size: rem(10);
    }

    &.small {
        font-size: rem(12);
    }

    &.large {
        font-size: rem(16);
    }

    &.huge {
        font-size: rem(18);
    }

    &.gigant {
        font-size: rem(20);
    }

    &.xl {
        font-size: rem(24);
    }

    &.xxl {
        font-size: rem(36);
    }

    &.white {
        color: $white;
    }

    &.black {
        color: $black;
    }

    &.center {
        display: inline-block;
        margin: 0 auto;
        text-align: center;
    }

    &.bold {
        font-weight: 800;
    }

    &.semi-bold {
        font-weight: 600;
    }

    &.uppercase {
        text-transform: uppercase;
    }
}
